Subject: Re: HTTP/2.0 SETTINGS frame values

From: William Chan (陈智昌) <[email-masked]>
Date: Mon, 3 Jun 2013 15:34:05 -0700

Brian just filed a bunch of issues for these here. It's true, other than
the TCP_CWND setting, we are not using any of the rest in SPDY. I am
inclined to agree that we should remove all of them (mod the TCP_CWND
setting since we're actively experimenting here).

The main idea was to provide more information to the peer to allow it to
better decide how to optimize. For example, if you can calculate BDP for
the connection, then it may be possible to do better write scheduling so as
not to unnecessarily fill bloated buffers and cause HoL blocking. This is
fairly advanced and obviously has lots of weaknesses, but as with many
things, we stuck it into the SPDY spec so we could experiment. But we never
really pursued it, so I think unless anyone is actively interested in
pursuing experimentation here, it's fine to remove. If people decide later
to experiment, we can always bring it back or it can live in a separate
experimental spec.

On Tue, May 28, 2013 at 3:41 AM, Mark Nottingham <[email-masked]> wrote:

> :)
>
> We're planning a joint session with Transport area folks in Berlin, to
> discuss things just like this; ICCRG folks are of course welcome to come
> along.
>
> Cheers,
>
>
> On 28/05/2013, at 7:31 PM, Michael Welzl <[email-masked]> wrote:
>
> > I can't believe that this keeps happening to me (being one of the chairs
> of ICCRG) - very sorry, everyone! Here's a fix, using the correct address
> for ICCRG!
> >
> > Cheers,
> > Michael
> >
> >
> > On 28. mai 2013, at 11:25, Michael Welzl wrote:
> >
> >> (including ICCRG because folks there might be interested)
> >>
> >> Hi,
> >>
> >> I just joined the list. While I did look at some old presentations from
> minutes and the list archive, I might have missed an answer to the question
> I'm asking - my apologies in this case!
> >>
> >> Here it goes: here,
> http://tools.ietf.org/html/draft-ietf-httpbis-http2-02#section-3.7.4
> >> various values are defined, like an estimate of the upload bandwidth,
> download bandwidth, the RTT, the initial window and so forth.
> >>
> >> I wonder, has it been discussed whether these things are useful and/or
> appropriate?
> >> I have only seen a thread related to SETTINGS_CURRENT_CWND, but what
> about all the other stuff (values 1, 2, 3, 4, 6, 7)? This smells like a
> feedback channel for app-layer congestion control, is this the plan  (of,
> ahem, the whole HTTPBIS group) ?    :-)
> >>
> >> Thanks, cheers,
> >> Michael
> >>
> >
>
> --
> Mark Nottingham   http://www.mnot.net/
>
>
>
>
>